/// <reference types="react" />
export declare const PositionedActionMenu: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SkeletonRoot: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const SkeletonTopImage: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").SVGProps<SVGSVGElement>, {}>;
export declare const SkeletonBottomImage: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").SVGProps<SVGSVGElement>, {}>;
export declare const SkeletonCenterCaption: import("@emotion/styled").StyledComponent<import("react").HTMLAttributes<HTMLDivElement> & {
    name?: string | null | undefined;
    description?: string | null | undefined;
    actionMenu?: JSX.Element | null | undefined;
} & {
    size?: import("../SkeletonCaption/types").SkeletonCaptionSize | undefined;
} & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
